/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.db.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import java.util.Date;


/**
 * 设备使用记录
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-09-22 16:34:55  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "设备使用记录")
public class CdDeviceUsageLog extends TenantPartition implements Entity
{
  public static final String KEY_id = "id";
  public static final String KEY_deviceId = "deviceId";
  public static final String KEY_deviceType = "deviceType";
  public static final String KEY_startTime = "startTime";
  public static final String KEY_endTime = "endTime";
  public static final String KEY_usageLog = "usageLog";
  public static final String KEY_userBy = "userBy";
  public static final String KEY_userIp = "userIp";
  public static final String KEY_createdBy = "createdBy";
  public static final String KEY_createdTime = "createdTime";
  public static final String KEY_updatedBy = "updatedBy";
  public static final String KEY_updatedTime = "updatedTime";

  /**
   * 主键id<br>
   */
  @ApiModelProperty("主键id")
  @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
  private String id;
  /**
   * 设备id<br>
   */
  @ApiModelProperty("设备id")
  @Size(max = 128, message="设备id-deviceId: 数据长度不能 > 32" )
  private String deviceId;
  /**
   * 设备类型(1-移动 2-PC)<br>
   */
  @ApiModelProperty("设备类型(1-移动 2-PC)")
  @Size(max = 32, message="设备类型(1-移动 2-PC)-deviceType: 数据长度不能 > 32" )
  private String deviceType;
  /**
   * 开始时间<br>
   */
  @ApiModelProperty("开始时间")
  private Date startTime;
  /**
   * 结束时间<br>
   */
  @ApiModelProperty("结束时间")
  private Date endTime;
  /**
   * 使用日志<br>
   */
  @ApiModelProperty("使用日志")
  @Size(max = 500, message="使用日志-usageLog: 数据长度不能 > 500" )
  private String usageLog;
  /**
   * 使用人<br>
   */
  @ApiModelProperty("使用人")
  @Size(max = 32, message="使用人-userBy: 数据长度不能 > 32" )
  private String userBy;
  /**
   * 使用人ip<br>
   */
  @ApiModelProperty("使用人ip")
  @Size(max = 20, message="使用人ip-userIp: 数据长度不能 > 20" )
  private String userIp;
  /**
   * 创建人<br>
   */
  @ApiModelProperty("创建人")
  @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
  private String createdBy;
  /**
   * 创建时间<br>
   */
  @ApiModelProperty("创建时间")
  private Date createdTime;
  /**
   * 更新人<br>
   */
  @ApiModelProperty("更新人")
  @Size(max = 32, message="更新人-updatedBy: 数据长度不能 > 32" )
  private String updatedBy;
  /**
   * 更新时间<br>
   */
  @ApiModelProperty("更新时间")
  private Date updatedTime;

  /**
   * 主键id<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键id<br>
   *
   * @param id 主键id
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 设备id<br>
   */
  public String getDeviceId()
  {
      return deviceId;
    }

  /**
   * 设备id<br>
   *
   * @param deviceId 设备id
   */
  public void setDeviceId(String deviceId)
  {
      this.deviceId = deviceId;
    }
  /**
   * 设备类型(1-移动 2-PC)<br>
   */
  public String getDeviceType()
  {
      return deviceType;
    }

  /**
   * 设备类型(1-移动 2-PC)<br>
   *
   * @param deviceType 设备类型(1-移动 2-PC)
   */
  public void setDeviceType(String deviceType)
  {
      this.deviceType = deviceType;
    }
  /**
   * 开始时间<br>
   */
  public Date getStartTime()
  {
      if(startTime != null)
    {
      return (Date)startTime.clone();
    }
    return null;
    }

  /**
   * 开始时间<br>
   *
   * @param startTime 开始时间
   */
  public void setStartTime(Date startTime)
  {
      if(startTime != null)
    {
      this.startTime = (Date)startTime.clone();
    }
    }
  /**
   * 结束时间<br>
   */
  public Date getEndTime()
  {
      if(endTime != null)
    {
      return (Date)endTime.clone();
    }
    return null;
    }

  /**
   * 结束时间<br>
   *
   * @param endTime 结束时间
   */
  public void setEndTime(Date endTime)
  {
      if(endTime != null)
    {
      this.endTime = (Date)endTime.clone();
    }
    }
  /**
   * 使用日志<br>
   */
  public String getUsageLog()
  {
      return usageLog;
    }

  /**
   * 使用日志<br>
   *
   * @param usageLog 使用日志
   */
  public void setUsageLog(String usageLog)
  {
      this.usageLog = usageLog;
    }
  /**
   * 使用人<br>
   */
  public String getUserBy()
  {
      return userBy;
    }

  /**
   * 使用人<br>
   *
   * @param userBy 使用人
   */
  public void setUserBy(String userBy)
  {
      this.userBy = userBy;
    }
  /**
   * 使用人ip<br>
   */
  public String getUserIp()
  {
      return userIp;
    }

  /**
   * 使用人ip<br>
   *
   * @param userIp 使用人ip
   */
  public void setUserIp(String userIp)
  {
      this.userIp = userIp;
    }
  /**
   * 创建人<br>
   */
  public String getCreatedBy()
  {
      return createdBy;
    }

  /**
   * 创建人<br>
   *
   * @param createdBy 创建人
   */
  public void setCreatedBy(String createdBy)
  {
      this.createdBy = createdBy;
    }
  /**
   * 创建时间<br>
   */
  public Date getCreatedTime()
  {
      if(createdTime != null)
    {
      return (Date)createdTime.clone();
    }
    return null;
    }

  /**
   * 创建时间<br>
   *
   * @param createdTime 创建时间
   */
  public void setCreatedTime(Date createdTime)
  {
      if(createdTime != null)
    {
      this.createdTime = (Date)createdTime.clone();
    }
    }
  /**
   * 更新人<br>
   */
  public String getUpdatedBy()
  {
      return updatedBy;
    }

  /**
   * 更新人<br>
   *
   * @param updatedBy 更新人
   */
  public void setUpdatedBy(String updatedBy)
  {
      this.updatedBy = updatedBy;
    }
  /**
   * 更新时间<br>
   */
  public Date getUpdatedTime()
  {
      if(updatedTime != null)
    {
      return (Date)updatedTime.clone();
    }
    return null;
    }

  /**
   * 更新时间<br>
   *
   * @param updatedTime 更新时间
   */
  public void setUpdatedTime(Date updatedTime)
  {
      if(updatedTime != null)
    {
      this.updatedTime = (Date)updatedTime.clone();
    }
    }

  public CdDeviceUsageLog()
  {
  }

  @Override
  public String getTenantId() {
    return null;
  }

  @Override
  public void setTenantId(String tenantId) {

  }
}
